Subject: Re: bug#57245: 29.0.50; M-> in a large XML file (without long lines) is slow

From: Eli Zaretskii <[email-masked]>
Date: Wed, 17 Aug 2022 14:36:54 +0300

> Date: Wed, 17 Aug 2022 01:20:38 +0300
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> Otherwise, syntax-wholeline-max seems to be doing its job fine: if I 
> comment out the narrowing code in handle_fontified_prop (or switch to 
> the branch I posted previously), two XML files -- one with long lines 
> and one without (the files differ only by addition of newlines) -- show 
> approximately the same delay on M->.

Doesn't syntax-wholeline-max only affect long lines?  Because I don't
think I see its effect in the XML file where lines were broken by
newlines, and then the file was duplicated 100 times.